Wednesday, May 27, 2015

Eclipse and TextMate bundles support (LiClipse 2.1 released)

LiClipse 2.1 now marks a significant milestone as it enables users to have syntax highlighting for almost any language available (that is, any language which has a related TextMate bundle can now be used in LiClipse/Eclipse).

The major portion of this update is related to syntax highlighting support and snippets (if the snippet matches the top-level grammar scope... future releases should improve on that so that it recognizes the more 'elaborate' scope selectors from TextMate).

Installing a bundle should be pretty simple (mostly put a zipped file with a '.tmbundle' extension in a tracked folder... has more details).

New languages supported out of the box now include PHP, Ruby and Markdown (through TextMate bundles).

Also, the LiClipse standalone is now based on 4.5 (actually 4.5rc2a), so, it's text search is much faster and its dark theme has nice improvements too (in both flavors: Eclipse 4 theme / LiClipse theme).

Enjoy ;)